Last Comment Bug 713058 - Polish tabs-on-top theme on Windows XP
: Polish tabs-on-top theme on Windows XP
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: 12 Branch
: All Windows XP
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: tb-tabsontop
  Show dependency treegraph
 
Reported: 2011-12-22 12:06 PST by Richard Marti (:Paenglab)
Modified: 2012-01-12 07:03 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
XP polish (1.43 KB, patch)
2011-12-22 12:14 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
Standalone window comparison with before and after the patch (48.97 KB, image/png)
2011-12-22 12:46 PST, Richard Marti (:Paenglab)
no flags Details
Personas tab comparison. Top is before the patch (40.99 KB, image/png)
2011-12-22 12:47 PST, Richard Marti (:Paenglab)
no flags Details
XP polish v2 (1.67 KB, patch)
2011-12-23 08:55 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Comparison between bold and normal active tab (11.71 KB, image/png)
2011-12-23 10:27 PST, Richard Marti (:Paenglab)
no flags Details

Description Richard Marti (:Paenglab) 2011-12-22 12:06:32 PST
Some little changes to make TB look better under Windows XP after landing of Bug 644169
Comment 1 Richard Marti (:Paenglab) 2011-12-22 12:14:50 PST
Created attachment 583887 [details] [diff] [review]
XP polish

This patch fixes following:
Change the mail-toolbox definition from ID to class to apply also on the Lightning toolboxes (Bug 709572).

Let the text-shadow on active tabs with Personas (like Bug 710838).

Remove the double border in standalone window and remove the gradient.
Comment 2 Richard Marti (:Paenglab) 2011-12-22 12:46:08 PST
Created attachment 583898 [details]
Standalone window comparison with before and after the patch
Comment 3 Richard Marti (:Paenglab) 2011-12-22 12:47:17 PST
Created attachment 583899 [details]
Personas tab comparison. Top is before the patch
Comment 4 Blake Winton (:bwinton) (:☕️) 2011-12-23 06:43:46 PST
Comment on attachment 583887 [details] [diff] [review]
XP polish

I mostly like it, and the code seems fine, so r=me, and ui-r=me, although I wonder how that'll look when the un-bolding-of-the-active-tab-title patch lands…
Comment 5 Richard Marti (:Paenglab) 2011-12-23 06:55:33 PST
It looks the patch is only for (In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #4)
> Comment on attachment 583887 [details] [diff] [review]
> XP polish
> 
> I mostly like it, and the code seems fine, so r=me, and ui-r=me, although I
> wonder how that'll look when the un-bolding-of-the-active-tab-title patch
> lands…

It looks the un-bolding-of-the-active-tab-title patch is only for Gnomestripe and Aero. Should I add it here?
Comment 6 Blake Winton (:bwinton) (:☕️) 2011-12-23 06:57:22 PST
Yeah, I think so.  I would also suggest removing it in Mac, but I don't think we do anything special to the active tab there…

Thanks,
Blake.
Comment 7 Richard Marti (:Paenglab) 2011-12-23 08:55:52 PST
Created attachment 584074 [details] [diff] [review]
XP polish v2

Because I've added the removing of the bolding of the active tab I'm asking again for review.
Comment 8 Richard Marti (:Paenglab) 2011-12-23 10:27:13 PST
Created attachment 584086 [details]
Comparison between bold and normal active tab
Comment 9 Blake Winton (:bwinton) (:☕️) 2011-12-23 10:34:30 PST
Comment on attachment 584074 [details] [diff] [review]
XP polish v2

Yeah, that looks more consistent with our other platforms.  ui-r=me.

>+++ b/mail/themes/qute/mail/messageWindow.css
>@@ -51,6 +51,10 @@
>+#mail-toolbox {

So, here we're adding "#mail-toolbox"

>+++ b/mail/themes/qute/mail/primaryToolbar.css
>@@ -63,14 +63,15 @@
>-#mail-toolbox {
>+.mail-toolbox {

But here we're changing "#mail-toolbox" to ".mail-toolbox"…

Other than that I like it, so if you can fix (or explain) that inconsistency, r=me, too.  :)

Thanks,
Blake.
Comment 10 Richard Marti (:Paenglab) 2011-12-23 11:03:17 PST
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #9)
> Comment on attachment 584074 [details] [diff] [review]
> XP polish v2
> 
> Yeah, that looks more consistent with our other platforms.  ui-r=me.
> 
> >+++ b/mail/themes/qute/mail/messageWindow.css
> >@@ -51,6 +51,10 @@
> >+#mail-toolbox {
> 
> So, here we're adding "#mail-toolbox"
> 
> >+++ b/mail/themes/qute/mail/primaryToolbar.css
> >@@ -63,14 +63,15 @@
> >-#mail-toolbox {
> >+.mail-toolbox {
> 
> But here we're changing "#mail-toolbox" to ".mail-toolbox"…

The change to class is for Lightning and other Add-ons which want use this toolbox in their tabs.

In standalone window (messageWindow.css) I've used the ID to be the most powerful rule and I haven't to use !important. And here we don't need to be compatible with Lightning.
Comment 11 Mike Conley (:mconley) - (Needinfo me!) 2011-12-28 12:15:36 PST
Checked in to comm-central as http://hg.mozilla.org/comm-central/rev/dcd9503ca698
Comment 12 Mike Conley (:mconley) - (Needinfo me!) 2011-12-29 07:43:28 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/e432f4f1d797

Note You need to log in before you can comment on or make changes to this bug.